Name:                xmlrpc
Version:             3.1.3
Release:             2
Epoch:               1
Summary:             Java XML-RPC implementation
License:             ASL 2.0
URL:                 http://ws.apache.org/xmlrpc/
Source0:             http://archive.apache.org/dist/ws/xmlrpc/sources/apache-xmlrpc-%{version}-src.tar.bz2
Patch0:              %{name}-client-addosgimanifest.patch
Patch1:              %{name}-common-addosgimanifest.patch
Patch2:              %{name}-javax-methods.patch
Patch3:              %{name}-server-addosgimanifest.patch
Patch4:              %{name}-disallow-deserialization-of-ex-serializable-tags.patch
Patch5:              %{name}-disallow-loading-external-dtd.patch
Patch6:              CVE-2019-17570.patch
BuildRequires:       maven-local mvn(org.apache:apache:pom:)
BuildRequires:       mvn(commons-httpclient:commons-httpclient) mvn(commons-logging:commons-logging)
BuildRequires:       mvn(javax.servlet:servlet-api) mvn(org.apache.ws.commons.util:ws-commons-util)
BuildArch:           noarch

%description
Apache XML-RPC is a Java implementation of XML-RPC, a popular protocol
that uses XML over HTTP to implement remote procedure calls.
Apache XML-RPC was previously known as Helma XML-RPC. If you have code
using the Helma library, all you should have to do is change the import
statements in your code from helma.xmlrpc.* to org.apache.xmlrpc.*.

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%package common
Summary:             Common classes for XML-RPC client and server implementations
Obsoletes:           %{name} < 3.1.3
Obsoletes:           %{name}3-common < 3.1.3-13
Provides:            %{name}3-common = 3.1.3-13

%description common
%{summary}.

%package client
Summary:             XML-RPC client implementation
Obsoletes:           %{name}3-client < 3.1.3-13
Provides:            %{name}3-client = 3.1.3-13

%description client
%{summary}.

%package server
Summary:             XML-RPC server implementation
Obsoletes:           %{name}3-server < 3.1.3-13
Provides:            %{name}3-server = 3.1.3-13

%description server
%{summary}.

%prep
%setup -q -n apache-%{name}-%{version}-src
%patch2 -p1
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
sed -i 's/\r//' LICENSE.txt
%pom_disable_module dist
%pom_remove_dep jaxme:jaxmeapi common
%pom_add_dep junit:junit:3.8.1:test
%mvn_file :{*} @1
%mvn_package :*-common %{name}

%build
%mvn_build -s -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files common -f .mfiles-%{name}
%license LICENSE.txt NOTICE.txt

%files client -f .mfiles-%{name}-client

%files server -f .mfiles-%{name}-server

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Fri Feb 25 2022 yaoxin <yaoxin30@huawei.com> - 3.1.3-2
- Fix CVE-2019-17570

* Wed Aug 12 2020 leiju <leiju4@huawei.com> - 3.1.3-1
- Package init
